---
api: 'Business API'
---

# Update a counterparty's payment method

Update the **address** of a counterparty's payment method.

:::tip [What is a payment method?]
A payment method is an individual account or card linked to a counterparty. When you [retrieve a counterparty](https://developer.revolut.com/docs/api/business#get-counterparty), the response includes an `accounts` array and a `cards` array — each entry in these arrays is a payment method with its own `id`.
:::

As only bank account payment methods have an address, you can use this endpoint to update the address of a counterparty's bank account.

To get the `payment_method_id` for the bank account, [retrieve the counterparty](https://developer.revolut.com/docs/api/business#get-counterparty) and use the `id` from the `accounts` array in the response.

You must provide the full address object — all required address fields must be present in the request.
Omitted optional fields will retain their existing values.

For more information, see the guide: [Update a counterparty's payment method](https://developer.revolut.com/docs/guides/manage-accounts/counterparties/update-counterparty-payment-method).

## Endpoint

PATCH `/counterparties/{counterparty_id}/payment-methods/{payment_method_id}`

## Parameters

### path parameters

- `counterparty_id` (string, required)
  The ID of the counterparty.

- `payment_method_id` (string, required)
  The ID of the payment method to update. To get the `payment_method_id` for the bank account, [retrieve the counterparty](https://developer.revolut.com/docs/api/business#get-counterparty) and use the `id` from the `accounts` array in the response.

## Request body

The updated address details.

### Attributes

- `address` (object)
    The updated address for the counterparty's payment method. All required fields must be provided.
  - `address.street_line1` (string)
      Street line 1 information.
  - `address.street_line2` (string, optional)
      Street line 2 information.
  - `address.region` (string, optional)
      The name of the region (state or province), for example, Ontario for Canada.
  - `address.city` (string)
      The name of the city.
  - `address.country` (string)
      The country of the counterparty, provided as a 2-letter [ISO 3166](https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes) code.
  - `address.postcode` (string)
      The postcode of the counterparty address.

## Returns

### 204

The address was updated
